from turtle import *

def trait(x1, y1, x2, y2, couleur, largeur):
    """
    Trace un trait entre deux points.
    
    Paramètres :
        x1, y1 : coordonnées du premier point (int x int)
        x2, y2 : coordonnées du second point (int x int)
        couleur : couleur du trait (tuple de la forme (r, g, b))
        epaisseur : épaisseur du trait (int)
    """
    
    # ATTENTION : LE CODE ECRIT CI-DESSOUS EST INCOMPLET EN L'ETAT !!!
    
    pensize(largeur)
    color(couleur)
    penup()
    goto(x1, y1)    
    pass


def rectangle(x, y, largeur, hauteur, couleur):
    """
    Trace un rectangle (dont les côtés sont parallèles aux axes du repère).
    
    Paramètres :
        x, y : coordonnées du coin inférieur droit (int x int)
        largeur, hauteur : largeur et hauteur du rectangle (int x int)
        couleur : couleur du rectangle (tuple de la forme (r, g, b))
    """
    
    # ATTENTION : LE CODE ECRIT CI-DESSOUS EST INCORRECT EN L'ETAT !!!
    
    NOIR = (0, 0, 0)
    pensize(1)
    color(NOIR)
    fillcolor(couleur)
    
    setheading(0)  # angle de la tortue (0 : Est, 90 : Nord, 180 : Ouest, 270 : Sud)
    penup()
    goto(x, y)
    pendown()
    begin_fill()
    for _ in range(2):
        forward(largeur)
        left(60)
        forward(hauteur)
        left(100)
    end_fill()
    penup()


def couleur_aleatoire():
    """
    Renvoie une couleur aléatoire.
    
    Paramètres :
        aucun
    Retour :
        (r, g, b) : un tuple des trois entiers r, g et b compris entre 0 et 255.
    """
    
    r = ...
    g = ...
    b = ...
    return (r, g, b)



# PROGRAMME PRINCIPAL
if __name__ == '__main__':
    #fen = Screen()  # pour voir directement le rendu final
    
    speed(2)    
    colormode(255)
    NOIR = (0, 0, 0)
    ROUGE = (255, 0, 0)
    
    #fen.tracer(0)  # pour voir directement le rendu final
    
    trait(-100, 100, 200, 150, ROUGE, 5)
    rectangle(0, -200, 100, 200, ROUGE)
    #rectangle(-200, 50, 200, 50, couleur_aleatoire())
    
    #fen.update()  # pour voir directement le rendu final


